Bug Hunting Session
Bug 121935 - Cancelling database wizard at step 'Set up connection to text files' crashes
Summary: Cancelling database wizard at step 'Set up connection to text files' crashes
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
6.2.0.0.beta1+
Hardware: All All
: high major
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.2.0.1 target:6.3.0
Keywords: bibisected, bisected, haveBacktrace, regression
Depends on:
Blocks:
 
Reported: 2018-12-06 03:36 UTC by Aron Budea
Modified: 2018-12-10 15:58 UTC (History)
2 users (show)

See Also:
Crash report or crash signature: ["vcl::Window::GetLOKNotifier"]


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Aron Budea 2018-12-06 03:36:33 UTC
- Open Database wizard.
- Select 'Connect to an existing database.' and 'Text', then click Next.
- Click Cancel.

=> LibreOffice crashes.

Crash report:
http://crashreport.libreoffice.org/stats/crash_details/fd3ab96c-db66-41d0-b106-0edd4f977375

Observed using LO 6.2 beta1 / Ubuntu 18.04.
No crash with LO 6.1.0.3.
=> regression

Bibisected to the following commits. After the first commit, clicking Next to go to 'Set up connection to text files' step already crashes, while the second commit results in the current behavior. Adding Cc: to Caolán McNamara, please take a look.

https://cgit.freedesktop.org/libreoffice/core/commit/?id=660cace2a15bd863e0c85d61533cc52e9fa07e27
author		Caolán McNamara <caolanm@redhat.com>	2018-10-24 13:34:39 +0100
committer	Caolán McNamara <caolanm@redhat.com>	2018-10-25 09:53:40 +0200

weld OTextConnectionPageSetup

https://cgit.freedesktop.org/libreoffice/core/commit/?id=de48e3cf707813f1c2e6b5f6663f41382f316011
author		Caolán McNamara <caolanm@redhat.com>	2018-10-24 16:23:54 +0100
committer	Caolán McNamara <caolanm@redhat.com>	2018-10-25 09:57:38 +0200

fix up wizards pages
Comment 1 Aron Budea 2018-12-06 04:08:16 UTC
Note that after the second commit, finalizing the connection and saving the database file crashes, too.
Comment 2 Alex Thurgood 2018-12-06 08:20:38 UTC
Confirming with

Version: 6.3.0.0.alpha0+
Build ID: 284dd58e326e61a5d84bde367e1e4873dd738c76
CPU threads: 4; OS: Mac OS X 10.14.1; UI render: default; VCL: osx; 
TinderBox: MacOSX-x86_64@49-TDF, Branch:master, Time: 2018-11-22_23:09:13
Locale: fr-FR (fr_FR.UTF-8); UI-Language: en-US
Calc: threaded

In my case, on MacOSX, the app recovers, and the StartCenter is re-displayed.
Comment 3 Commit Notification 2018-12-06 11:42:14 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/9fe049918965c8ffa5bc8245f17ea7376539db8a%5E%21

tdf#121935 crash on "set up connect to text files"

It will be available in 6.2.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2018-12-07 09:07:56 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/c354b7d20f428c87a133148579f37ec434505a48%5E%21

tdf#121935 crash on "set up connect to text files"

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Xisco Faulí 2018-12-10 15:58:00 UTC
Verified in

Version: 6.2.0.0.beta1+
Build ID: 01fea181faf92a3498370460d3db2254da11c3e2
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: en-US (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Caolán, Thanks for fixing this!!